--- old/usr/src/cmd/tail/extern.h	Fri Jan 18 13:59:17 2013
+++ new/usr/src/cmd/tail/extern.h	Fri Jan 18 13:59:17 2013
@@ -27,8 +27,19 @@
  * SUCH DAMAGE.
  *
  */
+/*
+ * Copyright (c) 2013, Joyent, Inc. All Rights Reserved.
+ */
 
 
+#ifndef	EXTERN_H
+#define	EXTERN_H
+
+#include <sys/types.h>
+#include <sys/stat.h>
+#include <port.h>
+
+
 #define	WR(p, size) do { \
 	if (write(STDOUT_FILENO, p, size) != (ssize_t)size) \
 		oerr(); \
@@ -48,6 +59,7 @@
 	FILE *fp;
 	char *file_name;
 	struct stat st;
+	file_obj_t fobj;
 };
 
 typedef struct file_info file_info_t;
@@ -67,3 +79,5 @@
 int maparound(struct mapinfo *, off_t);
 
 extern int Fflag, fflag, qflag, rflag, rval, no_files;
+
+#endif	/* EXTERN_H */
